Subject: Re: [PATCH] am: add am.signoff add config variable

From: Eric Wong <[email-masked]>
Date: Thu, 29 Dec 2016 08:47:01 +0000

Eduardo Habkost <[email-masked]> wrote:
> git-am has options to enable --message-id and --3way by default,
> but no option to enable --signoff by default. Add a "am.signoff"
> config option.

I'm not sure this is a good idea.  IANAL, but a sign-off
has some sort of legal meaning for this project (DCO)
and that would be better decided on a patch-by-patch basis
rather than a blanket statement.

I don't add my SoB to patches (either my own or received) until
I'm comfortable with it; and I'd rather err on the side of
forgetting and being prodded to resubmit rather than putting
an SoB on the wrong patch.

(I'm barely online today, no rush needed in responding)